#
# Gnuplot input file to create figures
#
# this is written for gnuplot version 4.4
#
# Ken-Ichi Ishikawa
#
# ($Id: figs.plt,v 1.2 2011/03/01 06:39:10 ishikawa Exp $)
#

set term postscript enhanced eps color 20

set title "2-site scalar average sample history (2-site scalar model)"
set key top left reverse Left
set  xtics 0,10000,100000
set mxtics 10
set  ytics -8,1,8
set mytics 0
set xlabel "Sample number"
set ylabel "2-site scalar average ({/Symbol s}_1 + {/Symbol s}_2)/2" offset 2,0

set xrange [0:50000]
set yrange [-2.5:2.5]

set output "Fig_B0.9_SpinAve_History_Metropolis.eps"
plot "save_b0.9_N100000.dat" using 1:2 title "{/Symbol b}=0.9" w lp lt 2 lc 3 pt 6

set output "Fig_B0.4_SpinAve_History_Metropolis.eps"
plot "save_b0.4_N100000.dat" using 1:2 title "{/Symbol b}=0.4" w lp lt 2 lc 2 pt 5

set output "Fig_B0.1_SpinAve_History_Metropolis.eps"
plot "save_b0.1_N100000.dat" using 1:2 title "{/Symbol b}=0.1" w lp lt 2 lc 1 pt 4


set title "2-site scalar correlation sample history (2-site scalar model)"
set key top left reverse Left
set  xtics 0,10000,100000
set mxtics 10
set  ytics -20,1,8
set mytics 0
set xlabel "Sample number"
set ylabel "2-site scalar correlation ({/Symbol s}_1{/Symbol s}_2)" offset 2,0

set xrange [0:50000]

set output "Fig_B0.9_SpinCorr_History_Metropolis.eps"
set yrange [-20.0:2.0]
plot "scor_b0.9_N100000.dat" using 1:2 title "{/Symbol b}=0.9" w lp lt 2 lc 3 pt 6

set output "Fig_B0.4_SpinCorr_History_Metropolis.eps"
set yrange [-8.0:3.0]
plot "scor_b0.4_N100000.dat" using 1:2 title "{/Symbol b}=0.4" w lp lt 2 lc 2 pt 5

set output "Fig_B0.1_SpinCorr_History_Metropolis.eps"
set yrange [-4.0:4.0]
plot "scor_b0.1_N100000.dat" using 1:2 title "{/Symbol b}=0.1" w lp lt 2 lc 1 pt 4


set title "{/Symbol b} dependence of 2-site scalar average (2-site scalar model)"
set  xtics 0,0.2,4
set mxtics 20
set  ytics -2,0.1,2
set mytics 10
set xlabel "{/Symbol b}"
set ylabel "2-site scalar average {/Symbol \341}({/Symbol s}_1+{/Symbol s}_2)/2{/Symbol \361}" offset 1.5,0

set output "Fig_SpinAve_Metropolis.eps"
set xzeroaxis
plot [0:1] [-0.1:0.1] \
"spinobs_beta.dat" using 1:2:3 notitle w e

set title "{/Symbol b} dependence of 2-site scalar correlation (2-site scalar model)"
set key top right reverse Right
set  xtics 0,0.2,4
set mxtics 20
set  ytics -100,1,2
set mytics 10
set xlabel "{/Symbol b}"
set ylabel "2-site scalar correlation {/Symbol \341}{/Symbol s}_1{/Symbol s}_2{/Symbol \361}" offset 1.5,0

set output "Fig_SpinCorr_Metropolis.eps"
set xzeroaxis
plot [0:1] [-5.0:0]\
"spinobs_beta.dat" using 1:4:5 notitle w e pt 2,\
-x/(1-x**2) title "-{/Symbol b}/(1-{/Symbol b}^2)" w l lt 2 lc 3

